*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}
:root{
    --color-dark-grey: 	#333132;
    --color-gray: 	#3b5763;
    --color-gray-ligth: #8297a6;
    --color-blue: #1C70EC;
    --color-brown: 	#9f7355;
    --color-brown-ligth: #c8cfc1;
}

h1{
    font-family: "Varela Round", sans-serif;
    font-style: normal;  
}
h2{
    font-family: "Varela Round", sans-serif;
    font-style: normal;
}
h3{
    font-family: "Varela Round", sans-serif;
    font-style: normal;
}
h4{
    font-family: "Varela Round", sans-serif;
    font-style: normal;  
}


@media screen and (max-width: 850px) {
    html{
        overflow-x: hidden !important;
    }
    body{
        overflow-x: hidden !important;
    }
    .topHeader .topHeaderImage{
        background-position: top !important;
    }
  }

/* header//////////////////////////////////// */

.topHeader{
    width: 100%;
    height: 200px;
    background: var(--color-gray);

    display: flex;
    justify-content: center;
    align-items: center;
}
.topHeader .topHeaderImage{
    background-image: url("fotos/foto-plastico-crudo.jpg");
    background-repeat: no-repeat;
    background-size: 100% auto;
    background-position: center;

    width: 100%;
    height: 100%;
}
.topHeader .topHeaderImage .gradient{
    width: 100%;
    height: 100%;
    background-image: linear-gradient(to right,var(--color-gray) ,transparent,var(--color-gray) );

    display: flex;
    justify-content: flex-start;
    align-items: center;
}
.topHeader .topHeaderImage .gradient .fotoTopHeader{
    width: 250px;
    margin: 5%;
    background-image: radial-gradient(circle,var(--color-gray),transparent 10%);
}

/* body ////////////////////////////////////////// */

.contTodo{
    display: flex;
    width: 100%;
    height: max-content;
    background: #f7f7f7;
}

.contTodo .content{
    flex: 7;
    width: 110%;
    /* position: absolute;
    left: 10px; */
    margin-right: -10px;

    border-radius: 10px;
    background: #f7f7f7;

    /* box-shadow: 20px 0px 30px 0px rgba(0,0,0,0.75); */
    position: relative;
    z-index: 1;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
}

/* //////////////////////////////////////////////////// */

  @media screen and (max-width: 850px) {
    .contTodo .content {
      flex: 999999;
      border-radius: 0;
    }
  }
/* /////////////////////////////////////////////////// */

.contTodo .contBgImage{
    flex: 3;
}
.contTodo .contBgImage{
    width: 100%;
    height: 100%;
    position: sticky;
    top: 0;
}
.contTodo .contBgImage .bgImage{
    object-fit: cover;
    overflow: hidden;
    position: relative;
}
.contTodo .contBgImage .bgImage video{
    height: 100vh;
    width: 100%;
    object-fit: cover;
    display: block;
}
.contTodo .contBgImage .bgImage::before{
    content: "";
    position: absolute;

    width: 100%;
    height: 100%;
    background-image: linear-gradient(to right,rgb(0,0,0,0.75)0% ,transparent 20%);
}

/* secc1//////////////////////////////////////////////////////////////// */

.secc1{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    padding-bottom: 50px;
}
.secc1 .sobrenos{
    margin: 50px 0 30px 0;
    padding-top: 30px;
}
.secc1A{
    display: flex;
    align-items: center;
    width: 90%;
    margin-top: 20px;
    margin-bottom: 60px;
}
.secc1A p{
    flex: 3;
    font-size: 22px;
}
.secc1A .secc1AFoto{
    flex: 2;
    background-image: url("fotos/fototoda.jpg");
    background-repeat: no-repeat;
    background-size: 100% auto;
    background-position: center;
    margin: 10px;
    height: 30vw;
}

@media screen and (max-width: 850px) {
    .secc1A{
        margin-bottom: 10px;
    }
    .secc1A .secc1AFoto {
      flex: 0;
    }
    .secc1A p{
        font-size: 15px;
        font-weight: 800;
    }
    .secc1 .sobrenos{
        margin: 30px 0 0px 0;
    }
  }
/* ////////////////////////////// Coso foto "slider" /////////////////// */
.secc4{
    background: var(--color-gray);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;

    width: 100%;
    height: 110vh;
    margin: 0 0 0 0;
    padding: 0 0 40px 0;
}
.secc4 h1{
    color: #f7f7f7;
    margin: 0 auto 30px 50px;
    padding-top: 50px;
}
.contFotos{
    width: 90%;
    height: 50%;

    display: flex;
    align-items: center;
    justify-content: center;
}
.contFotos .fto{
    height: 90%;
    width: 100%;
    margin: 5px;
    border: 1px solid black;
    transition: 0.5s;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    position: relative;
    border: 1px solid #f7f7f7;
    /* z-index: 6; */
}

.contFotos .fto .cut{
    width: 100%;
    height: 100%;
    mask: center/contain no-repeat;
    background: rgb(51,49,50,0.5);
    transition: 0.25s;
    display: flex;
    align-items: flex-end;
    justify-content: center;
}
.contFotos .fto .cut .texto{
    margin-bottom: 20px;
    color: transparent;
    width: 0px;
    height: 0px;
    transition: 0.5s;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* fotos//////////// */
.fto1{
    background-image: url('fotos/FotosSliderComprim/Naranja.jpg');
}
.fto2{
    background-image: url('fotos/FotosSliderComprim/Cortadora.jpg');
}
.fto3{
    background-image: url('fotos/FotosSliderComprim/Impresora.jpg');
}
.fto4{
    background-image: url('fotos/FotosSliderComprim/Extrusora.jpg');
}
.fto5{
    background-image: url('fotos/FotosSliderComprim/extrusora-alta.jpeg');
}
.fto6{
    background-image: url('fotos/FotosSliderComprim/Extrusora3.jpg');
}
.fto7{
    background-image: url('fotos/FotosSliderComprim/Cilindros2_1.jpg');
}
.fto8{
    background-image: url('fotos/FotosSliderComprim/Cilindros.jpg');
}
/* que se agrande cada uno /////*/
.fto1:hover{
    height: 150%;
    width: 150%;
    margin-bottom: 15%;
    /* z-index: 9; */
}.fto1:hover .cut{
    background: transparent;
}.fto1:hover .cut .texto{
    color: white;
    width: 120px;
    height: 50px;
    background: var(--color-blue);
}

.fto2:hover{
    height: 120%;
    width: 300%;
    margin-bottom: 5%;
}.fto2:hover .cut{
    background: transparent;
}.fto2:hover .cut .texto{
    color: white;
    width: 120px;
    height: 50px;
    background: var(--color-blue);
}

.fto3:hover{
    height: 150%;
    width: 150%;
    margin-bottom: 15%;
}.fto3:hover .cut{
    background: transparent;
}.fto3:hover .cut .texto{
    color: white;
    width: 100px;
    height: 50px;
    background: var(--color-blue);
}

.fto4:hover{
    height: 150%;
    width: 150%;
    margin-bottom: 15%;
}.fto4:hover .cut{
    background: transparent;
}.fto4:hover .cut .texto{
    color: white;
    width: 100px;
    height: 50px;
    background: var(--color-blue);
}

.fto5:hover{
    height: 200%;
    width: 150%;
    margin-top: 15%;
}.fto5:hover .cut{
    background: transparent;
}.fto5:hover .cut .texto{
    color: white;
    width: 100px;
    height: 50px;
    background: var(--color-blue);
}

.fto6:hover{
    height: 150%;
    width: 200%;
    margin-top: 15%;
}.fto6:hover .cut{
    background: transparent;
}.fto6:hover .cut .texto{
    color: white;
    width: 100px;
    height: 50px;
    background: var(--color-blue);
}

.fto7:hover{
    height: 100%;
    width: 300%;
}.fto7:hover .cut{
    background: transparent;
}.fto7:hover .cut .texto{
    color: white;
    width: 100px;
    height: 50px;
    background: var(--color-blue);
}

.fto8:hover{
    height: 150%;
    width: 150%;
    margin-top: 15%;
}.fto8:hover .cut{
    background: transparent;
}.fto8:hover .cut .texto{
    color: white;
    width: 100px;
    height: 50px;
    background: var(--color-blue);
}

@media screen and (max-width: 850px) {
    .fto1:hover{
        height: 150%;
        width: 600%;
        margin-bottom: 30%;
        /* z-index: 9; */
    }.fto2:hover{
        height: 100%;
        width: 800%;
    }.fto3:hover{
        height: 150%;
        width: 450%;
        margin-bottom: 30%;
    }.fto4:hover{
        height: 150%;
        width: 500%;
        margin-bottom: 30%;
    }.fto5:hover{
        height: 150%;
        width: 400%;
        margin-top: 15%;
    }.fto6:hover{
        height: 150%;
        width: 400%;
        margin-top: 15%;
    }.fto7:hover{
        height: 100%;
        width: 600%;
    }.fto8:hover{
        height: 150%;
        width: 350%;
        margin-top: 15%;
    }
  }

/* ////////////////////////////// Coso foto "slider FIN" /////////////////// */
/* secc2//////////////////////////////////////////////////////////////////// */
.secc2{
    /* background: var(--color-gray-ligth); */
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    margin: 0 0 0 0;
    padding-bottom: 50px;
    width: 100%;
    /* height: 80vh; */

}
.secc2 .secc2-Contactanos{
    margin-right: auto;
    padding: 20px;
    padding-top: 50px;
}

/* formulariio */

.cajaContacto{
    background: #f7f7f7;
    width: 70%;
    height: max-content;

    padding: 20px;
    border: 1px solid var(--color-brown-ligth);
    border-radius: 5px;
    box-shadow: 0px 2px 5px 0 rgba(0, 0, 0, 0.2);
}
.form-container{
    font-size: 12px;
}
.borde-boton{
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 13px;
}
.borde-boton .btn-principal{
    margin-top: 10px;
    background: white;
    color: var(--color-blue);
    border-radius: 10px;
    border: 3px solid var(--color-blue);
    outline: none;
    width: 120px;
    height: 50px;
    font-size: 15px;
    font-weight: 600;
    cursor: pointer;
}
.secc2 h1{
    margin-right: auto;
    margin-left: 13%;
}
.form-container h1{
    font-size: 20px;
    font-weight: 800;
    margin-left: 10%;
    margin-right: auto;
    margin-bottom: 8px;

}
/* ------------------ */
form .row-one{
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
} 

form .row-one > .grupo{
    width: 48%;
}

/* ------------------ */

form .grupo{
    display: flex;
    flex-direction: column;
    margin: 5px 0;
}

form .grupo label{
    font-size: 85%;
    width: max-content;
}

form textarea{
    width: 100%;
    border-radius: 2px;
    border: 2px solid #f0f0f0;
    padding-left: 15px;
    padding-top: 15px;
    color: #495c6a;
    outline: none;
    font-size: 14px;
    padding: 10px;
    resize: none;
    display: block;
    height: 90px;
}

form textarea:focus{
    border-color: #a1a0a0;
}


form input{
    outline: 0;
    width: 100%;
    height: 30px;
    border-radius: 3px;
    display: block;
    border: 2px solid #f0f0f0;
    outline: none;
    font-size: 15px;
    color: black;
    padding: 10px;
}

form input::placeholder{
    font-size: 15px; 
    color: #485C48;
}


form  input:focus{
    border-color: #a1a0a0;

}
@media screen and (max-width: 850px) {
    h1{
        font-size: 20px;
    }
    form h2 {
        font-size: 12px;
    }
    .contactinfo h3{
        font-size: 10px;
    }
    .cajaContacto{
        width: 90%;
    }
  }
.contactinfo{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    margin: 20px 0 0 0;
    padding: 1px;
}
.contactinfo .coso{
    display: flex;
    align-items: center;
    width: 50%;
    font-size: 12px;
    word-wrap: break-word;
    margin-bottom: 10px;
}
.contactinfo .coso div{
    margin-top: 10px;
    width: 90%;
    display: flex;
    flex-direction: column;
}
.contactinfo .coso div h3{
    margin-top: 5px;
}
.contactinfo .coso i{
    margin: 10px;
}

/* secc3 //////////////////////////////////////////////// */
.secc3{
    background: var(--color-gray-ligth);
    margin: 0;
    margin-bottom: 0;
    height: 110vh;
    width: 100%;
    padding-top: 50px;
    padding-bottom: 50px;

    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}
.secc3 h1{
    color: #f7f7f7;
    margin-bottom: 20px;
    margin-right: auto;
    margin-left: 18%;
}
.contMapa{
    width: 90%;
    height: 80%;
    box-shadow: 1px 3px 5px 0 rgba(0, 0, 0, 0.2);
}
@media screen and (max-width: 850px) {
    .contMapa {
      height: 300px;
    }
  }
iframe{ 
    width: 100%;
    height: 100%;
}

/* footer////////////////////////////// */
footer{
    width: 100%;
    height: 200px;
    background: var(--color-dark-grey);
    display: flex;
    align-items: center;
    justify-content: center;
}
footer p{  
    /* flex: 3;   */
    margin-left: auto;
    margin-right: 10%;
}
footer .Copyright{
    /* flex: 7; */
    margin-right: auto;
    margin-left: 10%;
    color: var(--color-gray-ligth);
    font-size: 15px;
}

/* ///////////////////////////////////////////////// */

@media screen and (max-width: 850px) {
    .contMapa{
        height: 60vh;
    }
    .contactinfo{
        flex-direction: column;
        align-items: center;
    }
    .contactinfo .coso{
        justify-content: center;
        width: auto; 
        height: 20px;
    }
    .contactinfo.coso div{
        width: auto;
    }
    .contFotos{
        height: 30%;
    }

    .secc3{
        height: auto;
    }
    .secc4{
        height: 85vh;
    }

    form textarea{
        height: auto;
    }
    .borde-boton .btn-principal{
        width: 80px;
        height: 28px;
    }
}